clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::doc::Reference Struct Reference

`#include <Representation.h>`

Collaboration diagram for clang::doc::Reference:
[legend]

## Public Member Functions
| Reference ()=default
| Reference (llvm::StringRef Name)
| Reference (SymbolID USR, StringRef Name, InfoType IT)
bool | operator== (const Reference &Other) const

## Public Attributes
SymbolID | USR = SymbolID()
SmallString< 16 > | Name
InfoType | RefType = InfoType::IT_default

## Detailed Description

Definition at line 75 of file Representation.h.

## Constructor & Destructor Documentation

## ◆ Reference() [1/3]

clang::doc::Reference::Reference | ( |  | ) |
| default

## ◆ Reference() [2/3]

clang::doc::Reference::Reference | ( | llvm::StringRef | Name | ) |
| inline

Definition at line 77 of file Representation.h.

## ◆ Reference() [3/3]

clang::doc::Reference::Reference | ( | SymbolID | USR,
|  | StringRef | Name,
|  | InfoType | IT
| ) |  |
| inline

Definition at line 78 of file Representation.h.

## Member Function Documentation

## ◆ operator==()

bool clang::doc::Reference::operator== | ( | const Reference & | Other | ) | const
| inline

Definition at line 81 of file Representation.h.

References Name, Name, RefType, and USR.

## Member Data Documentation

## ◆ Name

SmallString<16> clang::doc::Reference::Name

Definition at line 87 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), clang::doc::genMarkdown(), llvm::yaml::MappingTraits< Reference >::mapping(), and operator==().

## ◆ RefType

InfoType clang::doc::Reference::RefType = InfoType::IT_default

Definition at line 88 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), llvm::yaml::MappingTraits< Reference >::mapping(), and operator==().

## ◆ USR

SymbolID clang::doc::Reference::USR = SymbolID()

Definition at line 86 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), llvm::yaml::MappingTraits< Reference >::mapping(), and operator==().

The documentation for this struct was generated from the following file:

- Representation.h